快速,持续,稳定,傻瓜式
支持Mysql,Sqlserver数据同步

[manjaro无法同步数据库]manjaro安装数据库失败的解决方案

在线QQ客服:1922638

专业的SQL Server、MySQL数据库同步软件

最近安装数据库的时候报错需要libprotobuf-lite.so.17,具体的报错信息如下:


然后我在网上找了好久的protobuf17这东西一直没找到,并且通过find命令查找本地文件找到的是libprotobuf-lite.so.18,看起来是版本太新了。

后面根据 @郑翔 提供的protobuf-3.6.1成功的将protobuf-3.7.0成功降级到3.6.1,数据库就可以成功安装了,相关命令如下(文件也在文章末尾提供下载)。


将protobuf-3.7.0降级到3.6以后,使用 pacman-Syu仍然会更新到3.7,需要修改pacman.conf文件,忽略protobuf的更新


文件下载:protobuf-3.6.1.3-1-x86_64.pkg.tar.xz

相关推荐

咨询软件
 
QQ在线咨询
售前咨询热线
QQ1922638